using System;
using System.Collections.Generic;
using System.Text;
using System.Web;
using System.IO;

namespace FeedHandlerLib
{
    class HandlerFactory:IHttpHandlerFactory
    {
        public IHttpHandler GetHandler(HttpContext context, string requestType, string url, string pathTranslated)
        {
            string path = context.Request.PhysicalPath;
            if (Path.GetExtension(path) == ".rss")
            {
                return new RSSHandler();
            }
            if (Path.GetExtension(path) == ".atom")
            {
                return new ATOMHandler();
            }
            return null;
        }

        public void ReleaseHandler(IHttpHandler handler)
        {
        }

    }
}
